%verifyGT

formats={'<b','<c','<m','<g','<y','<r', ...
'ob','oc','om','og','oy','or', ...
'+b','+c','+m','+g','+y','+r', ...
'*b','*c','*m','*g','*y','*r', ...
};

fidx=1;

pf=fopen('groundtruth.txt','r');

C=textscan(pf,'%s %s %f %f %f %f');
imanames=C{1};
classn=C{2};
x1=C{3};
y1=C{4};
x2=C{5};
y2=C{6};

fclose(pf);

pastname='';

for i=1:length(imanames)
    if strcmp(pastname,imanames{i})
        hold on;
        drawbox(gcf(),x1(i),y1(i),x2(i)-x1(i),y2(i)-y1(i),formats{mod(fidx,length(formats))+1});
                fidx=fidx+1;
        lgdstr{lgidx}=classn{i};
        lgidx=lgidx+1;
    else
        if ~strcmp(pastname,'')
            legend(lgdstr);
            pause();
        end
        lgdstr={};
        lgidx=1;
        pastname=imanames{i};
        close(gcf());
        figure;
        imshow(imanames{i});
        drawbox(gcf(),x1(i),y1(i),x2(i)-x1(i),y2(i)-y1(i),formats{mod(fidx,length(formats))+1});
        fidx=fidx+1;
        lgdstr{lgidx}=classn{i};
        lgidx=lgidx+1;

    end
    
end

 